UPDATE PACK 4 FEEDBACK THREAD

deb http://debian.linuxmint.com/incoming testing main contrib non-free
deb-src http://debian.linuxmint.com/incoming testing main contrib non-free
Forum rules
Before you post please read this

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby aljoriz on Sun Mar 11, 2012 11:20 am

@ginjabunny:

As for the TOUCHPAD, it would seem that UP4 resets the the synaptic.conf to the 'bad' default to fix.

terminal
Code: Select all
sudo nano /usr/share/X11/xorg.conf.d/50-synaptics.conf


then erase all content and replace it with:
Code: Select all
Section "InputClass"
   Identifier "touchpad catchall"
   Driver "synaptics"
   MatchIsTouchpad "on"
   Option "TapButton1" "1"
   Option "VertEdgeScroll" "1"
EndSection


Should fix the problem, when UP3 was release I had to do the same step over again. Think of it as re-learning something that may have been forgoten. :P
aljoriz
Level 4
Level 4
 
Posts: 269
Joined: Wed Dec 23, 2009 12:50 pm
Location: Cebu City, Philippines

Linux Mint is funded by ads and donations.
 

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby ginjabunny on Sun Mar 11, 2012 2:13 pm

@aljoriz thanks for that, it's not really an update if it breaks things is it! Sounds like the transition to Gnome3 environment is going to be a major headache, I may come back to LMDE with the next roll-up release, but at the moment Mint12 seems an easier and more stable option.
User avatar
ginjabunny
Level 3
Level 3
 
Posts: 111
Joined: Sun Mar 09, 2008 4:04 pm
Location: West London, UK

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby ec2011 on Sun Mar 11, 2012 2:28 pm

ec2011 wrote:
ec2011 wrote:AMD/ATI video card - fglrx driver problem My graphics card is a HD6770 1GB GDDR5 - silent version. [SOLVED]
After installing fglrx from UP4, I got an error at the end of boot saying that Gnome shell is executed in "restricted mode" and I am no more in Cinnamon environment. It's a kind of degraded Gnome 3 shell.
After complete uninstallation of fglrx packets, everything was back to normal.
I don't have time to investigate the issues with "fglrx " packets and risk also a complete failure of display, but it will be an issue for a lot of users that want to use 3D with AMD/ATI drivers.
It seems to have a first fix with the latest version of fglrx in wheezy and sid (version 1:12-1-2, in UP4 incoming repo it is only version 1:12-1-1): http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=660571
As there are still other bugs (http://bugs.debian.org/cgi-bin/pkgrepor ... t=unstable ), I prefer not to risk a breakage of my LMDE installation...
But if some more experienced users are able to test the latest version of the different fglrx packages directly from debian and see if they can have fglrx working, it would be nice...

I have updated fglrx packets to wheezy version 1:12-1-2, xserver-xorg, xserver-xorg-input-all, xserver-xorg-video-all to wheezy version 1:7.6+12, and I could get fglrx working.
In order to activate AMD driver, it is necessary to type in a root terminal: aticonfig --initial (for more explanation, see - even you don't need to follow all the steps... http://wiki.debian.org/ATIProprietary )
After rebooting, I am no more in fallback mode and all seems to be OK.

After some more testing, it appears that the wheezy version of fglrx (1:12-1-2) is buggy: my cinnamon/gnome3 session crashes every time I want to launch a video (cf. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=652836).
An upgrade to version 1:12-2-2 in debian unstable has fixed my problem ... and I hope that it will not create other bugs...
ec2011
Level 1
Level 1
 
Posts: 9
Joined: Fri Feb 24, 2012 8:46 am
Location: Paris, France

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby timber on Mon Mar 12, 2012 3:58 am

evolution package missing but needed to "Open Calandar" at window which opens when Day/Time, located in panel, is selected)

easy fix: :D
Code: Select all
sudo apt-get install evolution
Dave:

Samsung R580 laptop
Geforce 310M w/ nvidia-glx driver
8 gig RAM
LMDE Cinnamon - Kernel 3.2.0-4-amd64 x86_64 (64 bit) Distro LinuxMint 1 debian
User avatar
timber
Level 3
Level 3
 
Posts: 104
Joined: Sat Jan 02, 2010 11:24 pm
Location: Pacific Northwest

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby timber on Mon Mar 12, 2012 5:16 am

aljoriz wrote:
As for the TOUCHPAD, it would seem that UP4 resets the the synaptic.conf to the 'bad' default to fix.

terminal
Code: Select all
sudo nano /usr/share/X11/xorg.conf.d/50-synaptics.conf


then erase all content and replace it with:
Code: Select all
Section "InputClass"
   Identifier "touchpad catchall"
   Driver "synaptics"
   MatchIsTouchpad "on"
   Option "TapButton1" "1"
   Option "VertEdgeScroll" "1"
EndSection


Should fix the problem, when UP3 was release I had to do the same step over again. Think of it as re-learning something that may have been forgoten. :P


May also need check box at ... System Settings/ Mouse and Touchpad/ Touchpad/ "Enable mouse clicks with touchpad" ...

Thanks for the code to fix "50-synaptics.conf" file Aljoriz! ... my touchpad is now working great (and I missed it prior to this fix).
Dave:

Samsung R580 laptop
Geforce 310M w/ nvidia-glx driver
8 gig RAM
LMDE Cinnamon - Kernel 3.2.0-4-amd64 x86_64 (64 bit) Distro LinuxMint 1 debian
User avatar
timber
Level 3
Level 3
 
Posts: 104
Joined: Sat Jan 02, 2010 11:24 pm
Location: Pacific Northwest

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby Honest Mistake on Mon Mar 12, 2012 7:36 am

ccerghe1 wrote:
Honest Mistake wrote:... lost Software Manager. Trying to install it through synaptic gives me "Depends: python-aptdaemon but it is not going to be installed" error.

I've had exactly the same issues: Software Manager lost the ability to be reinstalled, several programs not using the XFCE desktop theme (so far the Document Viewer, GNOME Player), and the volme controls in XFCE is completely unproportional with the actual volume level.
But no response so far, from anyone. Clem - I hope you are taking notes, or you're already aware of all these issues.

I have since installed MATE (looking good so far) and the sound problem persists - everything works ok as long as I never, ever touch audio controls in Banshee or video player. So I think it's not an Xfce issue after all.
Honest Mistake
Level 1
Level 1
 
Posts: 47
Joined: Mon Mar 05, 2012 4:40 am

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby zen_monkey on Tue Mar 13, 2012 1:37 am

Today i've installed chromium and it is not working at all, everything i've tried to load will end up in this nice screen. Any website, addons tab, anything! even the "Try this suggestions" link given under the error message. :mrgreen:
Also tried lauching with the --temp-profile option or deleting the chromium folder on .cache and .config without luck.
Image
zen_monkey
Level 1
Level 1
 
Posts: 8
Joined: Sun Mar 04, 2012 5:43 pm

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby franute on Tue Mar 13, 2012 4:26 pm

Fresh install on my laptop with Linux Mint Debian Xfce 64.

Updated to UpdatePack 4 without a problem (except for the removal of mintsystem, etc), rebooted and everything is working fine (though I installed fglrx from sid because of the xv disruption with 12.1 and xserver 1.11) except notify-osd, I can't see any notification bubble, so I changed to xfce4-notifyd.

Thanks to all the Linux Mint crew, great distro and fantastic job :D
franute
Level 1
Level 1
 
Posts: 6
Joined: Tue Jun 28, 2011 9:47 am

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby zerozero on Tue Mar 13, 2012 7:57 pm

zen_monkey wrote:Today i've installed chromium and it is not working at all[...]
if you start it from the terminal do you get any specific errors?

16.0.912.77 (Developer Build 118311 Linux) Debian wheezy/sid
is working fine here (it's the default in the repo)
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby zen_monkey on Thu Mar 15, 2012 12:08 am

zerozero wrote:
zen_monkey wrote:Today i've installed chromium and it is not working at all[...]
if you start it from the terminal do you get any specific errors?

16.0.912.77 (Developer Build 118311 Linux) Debian wheezy/sid
is working fine here (it's the default in the repo)


@zerozero
Well, that's something a didn't wanted to hear :lol: that means the issue has something to do with my files... altough i have no idea what could be. Tomorrow i'll see where some digging takes me. This is what i got:

chromium:
Instalados: 16.0.912.77~r118311-1+b1
Candidato: 16.0.912.77~r118311-1+b1
Tabla de versión:
*** 16.0.912.77~r118311-1+b1 0
500 http://debian.linuxmint.com/incoming/ testing/main amd64 Packages
100 /var/lib/dpkg/status
zen_monkey
Level 1
Level 1
 
Posts: 8
Joined: Sun Mar 04, 2012 5:43 pm

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby cdysthe on Thu Mar 15, 2012 5:08 pm

Hi,

I just discovered a serious bug in Brasero after updating to UP4: When I burn a DVD directly, without writing image to disk first, the DVD won't mount and can't be read. The burn completes without errors, but the DVD is useless. If I set it to write image to disk first the DVD mounts and can be read. I've seen this bug reported both for Ubuntu and Debian, so it's not a LMDE specific bug. It's a pretty serious one though since you can burn a backup without errors find out that your backup is useless if you have to restore. There's no such problem with other burning software like K3b and XFburn.
User avatar
cdysthe
Level 3
Level 3
 
Posts: 105
Joined: Sun Oct 05, 2008 12:18 pm

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby aljoriz on Thu Mar 15, 2012 8:05 pm

I was about to post the same hmm so i might as well ditch Brasero and go for XFburn.
aljoriz
Level 4
Level 4
 
Posts: 269
Joined: Wed Dec 23, 2009 12:50 pm
Location: Cebu City, Philippines

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby rootchick on Fri Mar 16, 2012 12:43 pm

Hi all,

I'm using LMDE on public & staff desktop computers in a public library system, so I've been anxious to see where the desktop environment is going when Gnome 2 goes away, so thanks for giving us the opportunity to do some testing before Update Pack 4 is released!

So far I've done a fresh install of LMDE, changed the sources to point to incoming, and updated with the update manager. The update itself went smoothly, other than gstreamer0.10-plugins-really-bad borking the update process. I uninstalled that and updated with aptitude, then started the upgrade to UP 4 with the update manager again. After rebooting, i've lost the GUI, and I'm not sure why yet. I checked to see if compiz was still installed and that was causing the problem, it was and I uninstalled it, still no love. Any hints about where things went wrong?
User avatar
rootchick
Level 1
Level 1
 
Posts: 33
Joined: Fri Apr 01, 2011 12:55 pm

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby mockturtl on Fri Mar 16, 2012 2:07 pm

rootchick wrote:After rebooting, i've lost the GUI, and I'm not sure why yet. I checked to see if compiz was still installed and that was causing the problem, it was and I uninstalled it, still no love. Any hints about where things went wrong?
Kernel 3.2 and nVidia don't seem to get along. Try dpkg-reconfigure and remove nvidia-glx.

Also, this old bugbear:

Code: Select all
tail /etc/apt/preferences
...
Package: *
Pin: release o=Debian
Pin-Priority: 700  # change from default 500
Image
User avatar
mockturtl
Level 4
Level 4
 
Posts: 442
Joined: Sat Oct 09, 2010 8:51 pm

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby rootchick on Fri Mar 16, 2012 4:29 pm

Interesting, I'll try it next week, and let you know how it goes!
User avatar
rootchick
Level 1
Level 1
 
Posts: 33
Joined: Fri Apr 01, 2011 12:55 pm

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby kmb42vt on Fri Mar 16, 2012 7:21 pm

[quote="mockturtl"]Kernel 3.2 and nVidia don't seem to get along. Try dpkg-reconfigure and remove nvidia-glx.

I don't think that the Nvidia driver and kernel 3.2 has so much compatibility problems but rather that DKMS drops the ball during the new kernel install and fails to build the existing Nvidia driver to the new kernel (I was previously using kernel 2.6.39 due to an annoying hardware bug in kernel 3.0). So after installing the 3.2 kernel I had to run the following command at the command prompt when the Nivida driver failed to build to the new kernel:

Code: Select all
sudo dpkg-reconfigure nvidia-kernel-dkms


That solved my no GUI problem after installing Kernel 3.2. LMDE UP4 with the 3.2 kernel and the Nvida driver are working rather slick now.
"Humph. Choice, it is the quintessential Linux delusion, simultaneously the source of it's greatest strength, and it's greatest weakness." (All apologies to The Architect)
User avatar
kmb42vt
Level 5
Level 5
 
Posts: 929
Joined: Sun Dec 06, 2009 11:15 am
Location: Vermont

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby rootchick on Tue Mar 20, 2012 10:49 am

Actually, I don't think the nvidia issue is what caused my problem. The system has an ATI Radeon HD 4200, so it's not using nvidia drivers. I'm going to try reinstalling, updating to pack 3 and then to 4 to see if that helps. It's been so long since I've had to deal with the GUI breaking that I'm pretty useless at diagnosing it!
User avatar
rootchick
Level 1
Level 1
 
Posts: 33
Joined: Fri Apr 01, 2011 12:55 pm

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby clem on Tue Mar 20, 2012 10:54 am

Hi everyone,

Thanks for your feedback. I'm taking notes here and going through the issues. We identified a critical dependency missing for MATE 1.2, so UP4 is being resynced. Expect additional updates to hit the Incoming repository.

Clem.
Image
User avatar
clem
Level 15
Level 15
 
Posts: 5559
Joined: Wed Nov 15, 2006 8:34 am

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby rootchick on Tue Mar 20, 2012 3:46 pm

I just reinstalled LMDE, updated to Update Pack 3, uninstalled compiz just in case, and then updated to pack 4. Whatever got borked the last time I updated to 4 that made me lose the GUI seems to have remedied itself--I now have a functioning desktop with Gnome, Classic Gnome, and Cinnamon. I have to say of the three, Cinnamon looks the most usable! :)
User avatar
rootchick
Level 1
Level 1
 
Posts: 33
Joined: Fri Apr 01, 2011 12:55 pm

Re: UPDATE PACK 4 FEEDBACK THREAD

Postby rknize on Tue Mar 20, 2012 4:00 pm

Great. Can we expect Cinnamon 1.4 as well?
rknize
Level 1
Level 1
 
Posts: 15
Joined: Sat Jun 04, 2011 10:20 am

Linux Mint is funded by ads and donations.
 
PreviousNext

Return to Linux Mint Debian Incoming

Who is online

Users browsing this forum: No registered users and 3 guests